Bug 1004768 - Multiple Dropdowns in the listbar doesn't work
Multiple Dropdowns in the listbar doesn't work
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Alexandre Porcelli
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 08:54 EDT by Mauricio Salatino
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
both dropdowns pressed, when just one was clicked (57.76 KB, image/png)
2013-09-05 08:57 EDT, Mauricio Salatino
no flags Details

  None (edit)
Description Mauricio Salatino 2013-09-05 08:54:55 EDT
Description of problem:
When a list bar contain more than one dropdown (menu with items) just one of them work, no matter which one you click, the same is always opened. 

Version-Release number of selected component (if applicable):


How reproducible:
Go to the ProcessInstanceDetails screen and click Actions or Views
Those menues are defined here: https://github.com/droolsjbpm/jbpm-console-ng/blob/master/jbpm-console-ng-process-runtime/jbpm-console-ng-process-runtime-client/src/main/java/org/jbpm/console/ng/pr/client/editors/instance/details/ProcessInstanceDetailsPresenter.java#L273

I'm attaching a screenshot that shows both dropdowns pressed but just one opened


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mauricio Salatino 2013-09-05 08:57:21 EDT
Created attachment 794268 [details]
both dropdowns pressed, when just one was clicked
Comment 3 Alexandre Porcelli 2013-09-12 09:54:23 EDT
Fix pushed to UberFire on master and 0.3.x branches

https://github.com/droolsjbpm/uberfire/commit/00c9bd736
https://github.com/droolsjbpm/uberfire/commit/e10abb599

Note You need to log in before you can comment on or make changes to this bug.